Crashpad

Public Member Functions | List of all members
crashpad::CrashReportDatabase::CallErrorWritingCrashReport Class Reference

A scoper to cleanly handle the interface requirement imposed by PrepareNewCrashReport(). More...

`#include "client/crash_report_database.h"`

## Public Member Functions
| CallErrorWritingCrashReport (CrashReportDatabase *database, NewReport *new_report)
| Arms the object to call ErrorWritingCrashReport() on database with an argument of new_report on destruction.
| ~CallErrorWritingCrashReport ()
| Calls ErrorWritingCrashReport() if the object is armed.
void | Disarm ()
| Disarms the object so that CallErrorWritingCrashReport() will not be called upon destruction.

## Detailed Description

A scoper to cleanly handle the interface requirement imposed by PrepareNewCrashReport().

Calls ErrorWritingCrashReport() upon destruction unless disarmed by calling Disarm(). Armed upon construction.

The documentation for this class was generated from the following files:

- client/crash_report_database.h
- client/crash_report_database.cc